#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0xff1647d3, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x631137f5, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x21a4797f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66ee4096, "ocelot_port_del_dscp_prio" },
	{ 0xb4f3669a, "ocelot_mrp_del_ring_role" },
	{ 0x98e5e339, "ocelot_sb_tc_pool_bind_set" },
	{ 0xa65d587f, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95cf18be, "dsa_mdb_present_in_other_db" },
	{ 0xbc441117, "ocelot_vcap_filter_add" },
	{ 0xd33830b4, "ocelot_sb_port_pool_get" },
	{ 0x5db9b5bb, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x96b394f9, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xce1a81b, "ocelot_port_inject_frame" },
	{ 0x96795d6b, "ocelot_mrp_add" },
	{ 0x63d3eece, "kmalloc_trace_noprof" },
	{ 0xb2861bfe, "ocelot_sb_occ_port_pool_get" },
	{ 0x141fab85, "ocelot_sb_pool_set" },
	{ 0xc4e0c393, "ocelot_lag_fdb_del" },
	{ 0xec509aa1, "ocelot_vcap_filter_del" },
	{ 0x751cb9ae, "ocelot_cls_flower_stats" },
	{ 0xbbdab8b5, "ocelot_sb_pool_get" },
	{ 0xe5135d6, "ocelot_phylink_mac_link_up" },
	{ 0x625d043e, "ocelot_deinit_port" },
	{ 0x551ee1b8, "ocelot_can_inject" },
	{ 0x4cbec016, "kmalloc_caches" },
	{ 0xd6830d46, "skb_dump" },
	{ 0x69d0ef26, "ocelot_port_mirror_add" },
	{ 0x25f871c5, "ocelot_fdb_dump" },
	{ 0x439a3cb1, "ocelot_vlan_prepare" },
	{ 0xdc816532, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x978e93ea, "ocelot_set_ageing_time" },
	{ 0x612a138a, "__ocelot_rmw_ix" },
	{ 0xc30751b4, "devm_kmalloc" },
	{ 0xa71789da, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb33956b4, "ocelot_port_policer_del" },
	{ 0x1ec55e9c, "ocelot_port_lag_change" },
	{ 0xa56c0270, "consume_skb" },
	{ 0xb4ab51db, "ocelot_port_policer_add" },
	{ 0xee7cd534, "ocelot_port_mdb_add" },
	{ 0x42b001e0, "ocelot_vlan_add" },
	{ 0x26c2cb52, "ocelot_sb_tc_pool_bind_get" },
	{ 0xed93bf8, "ocelot_port_bridge_flags" },
	{ 0xfee9b0b7, "ocelot_devlink_sb_unregister" },
	{ 0x70d9784, "ocelot_port_bridge_leave" },
	{ 0x460d7445, "ocelot_port_set_maxlen" },
	{ 0xcca97605, "ocelot_vcap_filter_replace" },
	{ 0x482126cd, "ocelot_get_max_mtu" },
	{ 0xff3a7cd0, "regmap_fields_update_bits_base" },
	{ 0xe18e526c, "ocelot_sb_occ_snapshot" },
	{ 0x4dc49b79, "ocelot_get_ts_info" },
	{ 0xe1693d15, "ocelot_sb_occ_max_clear" },
	{ 0xd0477652, "ocelot_port_get_mm" },
	{ 0x550840bf, "ocelot_ptp_gettime64" },
	{ 0xd29e5f21, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf5cd9cd, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xdbaf052f, "ocelot_port_add_dscp_prio" },
	{ 0x411465e6, "ocelot_drain_cpu_queue" },
	{ 0xb32d39a3, "ocelot_port_mirror_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bc3adf2, "__ocelot_read_ix" },
	{ 0xe7b47f90, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x10d0df2f, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa89f3c6c, "ocelot_get_sset_count" },
	{ 0xcb8089a, "ocelot_migrate_mdbs" },
	{ 0x8f0454af, "ocelot_hwstamp_get" },
	{ 0x9669cc54, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc168cb0a, "ocelot_port_bridge_join" },
	{ 0x333662f5, "ocelot_fdb_add" },
	{ 0xb9baaa42, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x286a30a6, "ocelot_xtr_poll_frame" },
	{ 0xff423a6f, "ocelot_port_get_default_prio" },
	{ 0x2bd61676, "ptp_classify_raw" },
	{ 0x4abdd195, "ocelot_port_set_default_prio" },
	{ 0xfea590f9, "dsa_tag_8021q_register" },
	{ 0x97c36c1a, "ocelot_port_get_mm_stats" },
	{ 0x2275dec9, "ocelot_deinit" },
	{ 0x157899b3, "_dev_err" },
	{ 0xb30d9f95, "ocelot_vlan_del" },
	{ 0x3147f8d9, "ocelot_bond_get_id" },
	{ 0x4731f469, "kfree_skb_reason" },
	{ 0xcea869cb, "ocelot_get_ethtool_stats" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7aa47398, "ocelot_cls_flower_destroy" },
	{ 0x50f4dfa4, "ocelot_port_vlan_filtering" },
	{ 0xc91cc5c0, "ocelot_port_get_rmon_stats" },
	{ 0x74683c7b, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xe4c965ae, "ocelot_lag_fdb_add" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3c51202, "ocelot_bridge_stp_state_set" },
	{ 0x912c6008, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc213ba54, "netif_rx" },
	{ 0x3a366d39, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xf5039b83, "ocelot_fdb_del" },
	{ 0x481d83ea, "ocelot_phylink_mac_link_down" },
	{ 0x92528803, "ocelot_port_lag_join" },
	{ 0x791b898, "ocelot_port_get_eth_phy_stats" },
	{ 0x466d88a0, "ocelot_port_lag_leave" },
	{ 0x64a8151c, "ocelot_mrp_add_ring_role" },
	{ 0x897dfefa, "ocelot_port_set_mm" },
	{ 0xfd6bdd56, "ocelot_deinit_timestamp" },
	{ 0x8f2c276c, "ocelot_cls_flower_replace" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x23a8e3ec, "ocelot_port_get_stats64" },
	{ 0xa2f6ec08, "ocelot_port_get_dscp_prio" },
	{ 0x4d9ea282, "ocelot_port_mdb_del" },
	{ 0x41536403, "ocelot_port_get_eth_mac_stats" },
	{ 0xb24556c4, "ocelot_mact_flush" },
	{ 0xe2027248, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5d369b37, "ocelot_port_pre_bridge_flags" },
	{ 0x283a84f4, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "961DA740CBAE572DC787D49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
